| Home · API Reference · Modules

Public Member Functions | List of all members
MImPluginDescription Class Reference
Maliit server

`#include <plugindescription.h>`

## Public Member Functions

| MImPluginDescription (const MImPluginDescription &other)
virtual | ~MImPluginDescription ()
void | operator= (const MImPluginDescription &other)
QString | name () const
bool | enabled () const

## Detailed Description

Provides information about loaded input method plugin.

## Constructor & Destructor Documentation

## ◆ MImPluginDescription()

MImPluginDescription::MImPluginDescription | ( | const MImPluginDescription & | other | ) |

Copy constructor.

## ◆ ~MImPluginDescription()

MImPluginDescription::~MImPluginDescription | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## ◆ enabled()

bool MImPluginDescription::enabled | ( |  | ) | const

Return true if this plugin is enabled by settings.

## ◆ name()

QString MImPluginDescription::name | ( |  | ) | const

Return plugin name.

## ◆ operator=()

void MImPluginDescription::operator= | ( | const MImPluginDescription & | other | ) |

Assignment operator.

Copyright © 2011 Nokia Corporation |  | Maliit